This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 175441 - ksh scripts no longer works
ksh scripts no longer works
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: ksh (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Karsten Hopp
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-10 13:24 EST by Deji Akingunola
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-11 22:14:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Deji Akingunola 2005-12-10 13:24:08 EST
Description of problem: ksh scripts no longer works as they used to do in FC4.
Here is a simple test case that works with bash but fails with ksh on recent
rawhide install (works with FC4's ksh too) 
On rawhide with ksh;
[armnlib@rhema2 ~]$ cat test
#!/bin/ksh

echo $PWD
 . test2
$F90 -v
[armnlib@rhema2 ~]$ cat test2
#!/bin/ksh

export F90=ifort
[armnlib@rhema2 ~]$ ./test
/home/armnlib
./test[4]: .: test2: cannot open [No such file or directory]
[armnlib@rhema2 ~]$

On rawhide with bash;
[armnlib@rhema2 ~]$ cat test
#!/bin/bash

echo $PWD
 . test2
$F90 -v
[armnlib@rhema2 ~]$ cat test2
#!/bin/bash

export F90=ifort
[armnlib@rhema2 ~]$ ./test
/home/armnlib
Version 9.0
[armnlib@rhema2 ~]$


Version-Release number of selected component (if applicable):ksh-20050202-3.i386.rpm


How reproducible: always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Deji Akingunola 2005-12-11 22:14:04 EST
Oops, sorry for the noise, I had forgiven to put '.' in my path as I used to do
on those systems where it works. Closing.

Note You need to log in before you can comment on or make changes to this bug.